
double quadratic (int dim, int *x, double **a);
double quadratic2(int dim, int *x, double **a, double *b);
double quadratic3(int dim, int *x, double **a, double *b, double c);

int lgconv_validate_hesse(int dim, double **a);
int  lconv_validate_hesse(int dim, double **a);
int mgconv_validate_hesse(int dim, double **a);
int  mconv_validate_hesse(int dim, double **a);

void make_quadratic_hesse_l(int dim, double f(int,int*), double **a);
void make_quadratic_hesse_m(int dim, double f(int,int*), double **a);
void make_quadratic_hesse_mg(int dim, double f(int,int*), double **a);
void make_quadratic_liner_const(int dim, double f(int,int*),
                                double **a, double *b, double *c);
